Index: src/playlist/item.c
===================================================================
--- src/playlist/item.c	(revision 16329)
+++ src/playlist/item.c	(working copy)
@@ -360,6 +360,8 @@
 playlist_item_t *playlist_ItemToNode( playlist_t *p_playlist,
                                       playlist_item_t *p_item )
 {
+
+    playlist_item_t *p_item_in_category;
     /* What we do
      * Find the input in CATEGORY.
      *  - If we find it
@@ -379,7 +381,7 @@
         return p_item;
 
     /** \todo First look if we don't already have it */
-    playlist_item_t *p_item_in_category = playlist_ItemFindFromInputAndRoot(
+    p_item_in_category = playlist_ItemFindFromInputAndRoot(
                                             p_playlist, p_item->p_input->i_id,
                                             p_playlist->p_root_category );
Index: modules/demux/playlist/gvp.c
===================================================================
--- modules/demux/playlist/gvp.c	(revision 16329)
+++ modules/demux/playlist/gvp.c	(working copy)
@@ -100,13 +100,6 @@
 {
     demux_sys_t *p_sys = p_demux->p_sys;
 
-    INIT_PLAYLIST_STUFF;
-
-    p_sys->p_playlist = p_playlist;
-    p_sys->p_current = p_current;
-    p_sys->i_parent_id = i_parent_id;
-    p_sys->p_item_in_category = p_item_in_category;
-
     char *psz_line;
     char *psz_attrvalue;
 
@@ -117,6 +110,13 @@
     char *psz_title = NULL;
     char *psz_description = NULL;
 
+    INIT_PLAYLIST_STUFF;
+
+    p_sys->p_playlist = p_playlist;
+    p_sys->p_current = p_current;
+    p_sys->i_parent_id = i_parent_id;
+    p_sys->p_item_in_category = p_item_in_category;
+
     while( ( psz_line = stream_ReadLine( p_demux->s ) ) )
     {
         if( *psz_line == '#' )
Index: modules/gui/beos/InterfaceWindow.cpp
===================================================================
--- modules/gui/beos/InterfaceWindow.cpp	(revision 16329)
+++ modules/gui/beos/InterfaceWindow.cpp	(working copy)
@@ -321,14 +321,14 @@
 
     /* Add the Show menu */
     fShowMenu = new BMenu( _("Window") );
+#if 0    
     ADD_ELLIPSIS( _("Playlist") );
     fShowMenu->AddItem( new BMenuItem( psz_tmp, new BMessage( OPEN_PLAYLIST ), 'P') );
+#endif
     ADD_ELLIPSIS( _("Messages") );
     fShowMenu->AddItem( new BMenuItem( psz_tmp, new BMessage( OPEN_MESSAGES ), 'M' ) );
-#if 0 
     ADD_ELLIPSIS( _("Preferences") );
     fShowMenu->AddItem( new BMenuItem( psz_tmp, new BMessage( OPEN_PREFERENCES ), 'S' ) );
-#endif
     fMenuBar->AddItem( fShowMenu );
 
     // add the media control view after the menubar is complete
Index: modules/codec/ffmpeg/mux.c
===================================================================
--- modules/codec/ffmpeg/mux.c	(revision 16329)
+++ modules/codec/ffmpeg/mux.c	(working copy)
@@ -79,6 +79,7 @@
  *****************************************************************************/
 int E_(OpenMux)( vlc_object_t *p_this )
 {
+    AVOutputFormat *file_oformat; 
     sout_mux_t *p_mux = (sout_mux_t*)p_this;
     sout_mux_sys_t *p_sys;
     AVFormatParameters params, *ap = &params;
@@ -87,7 +88,7 @@
     av_register_all();
 
     /* Find the requested muxer */
-    AVOutputFormat *file_oformat =
+    file_oformat =
         guess_format(NULL, p_mux->p_access->psz_name, NULL);
     if (!file_oformat)
     {
Index: include/libvlc_internal.h
===================================================================
--- include/libvlc_internal.h	(revision 16329)
+++ include/libvlc_internal.h	(working copy)
@@ -32,8 +32,10 @@
 #include <vlc/vlc.h>
 
 #ifndef WIN32
+#ifndef __BEOS__
 #include <X11/Xlib.h>
 #endif
+#endif
     
 struct libvlc_instance_t
 {
